Moderate

CVE-2009-0260 - Cross-Site Scripting (XSS) vulnerability in Moinmoin

Publication: 2009-01-23
Summary

Multiple cross-site scripting (XSS) vulnerabilities in action/AttachFile.py in MoinMoin before 1.8.1 allow remote attackers to inject arbitrary web script or HTML via an AttachFile action to the WikiSandBox component with (1) the rename parameter or (2) the drawing parameter (aka the basename variable).

Classification
CWE-79: Cross-Site Scripting (XSS)

Risk level (CVSS 4.3)

Moderate

4.3

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Moinmoin Moinmoin 0.1
  • Moinmoin Moinmoin 0.2
  • Moinmoin Moinmoin 0.3
  • Moinmoin Moinmoin 0.7
  • Moinmoin Moinmoin 0.8
  • Moinmoin Moinmoin 0.9
  • Moinmoin Moinmoin 0.10
  • Moinmoin Moinmoin 0.11
  • Moinmoin Moinmoin 1.0
  • Moinmoin Moinmoin 1.1
  • Moinmoin Moinmoin 1.2
  • Moinmoin Moinmoin 1.2.1
  • Moinmoin Moinmoin 1.2.2
  • Moinmoin Moinmoin 1.5.0
  • Moinmoin Moinmoin 1.5.1
  • Moinmoin Moinmoin 1.5.2
  • Moinmoin Moinmoin 1.5.3
  • Moinmoin Moinmoin 1.5.4
  • Moinmoin Moinmoin 1.5.5
  • Moinmoin Moinmoin 1.5.6
  • Moinmoin Moinmoin 1.5.7
  • Moinmoin Moinmoin 1.5.8
  • Moinmoin Moinmoin 1.6
  • Moinmoin Moinmoin 1.6.0
  • Moinmoin Moinmoin 1.6.1
  • Moinmoin Moinmoin 1.6.2
  • Moinmoin Moinmoin 1.6.3
  • Moinmoin Moinmoin 1.7.0
  • Moinmoin Moinmoin 1.7.1
  • Moinmoin Moinmoin 1.7.2
  • Moinmoin Moinmoin 1.7.3
  • Moinmoin Moinmoin 1.5.3_rc1
  • Moinmoin Moinmoin 1.8.0
  • Moinmoin Moinmoin 1.5.5_rc1
  • Moinmoin Moinmoin 1.5.5a
  • Moinmoin Moinmoin 1.5.3_rc2